uk.gov.hmrc.githubclient

# ReleaseService

###
Related Doc: package githubclient

#### class ReleaseService extends GitHubService

Linear Supertypes
GitHubService, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReleaseService
2. GitHubService
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReleaseService(client: GitHubClient)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def check(arg0: String): Boolean

   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService
   Annotations
     @throws( classOf[java.io.IOException] )

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def createPageIterator[V](arg0: PagedRequest[V]): PageIterator[V]

   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService

8. #### def createPagedRequest[V](arg0: Int, arg1: Int): PagedRequest[V]

   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService

9. #### def createPagedRequest[V](): PagedRequest[V]

   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService

10. #### def createRequest(): GitHubRequest

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def getAll[V](arg0: PageIterator[V]): List[V]

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
    Annotations
      @throws( classOf[java.io.IOException] )

15. #### def getAll[V](arg0: PagedRequest[V]): List[V]

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
    Annotations
      @throws( classOf[java.io.IOException] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def getClient(): GitHubClient

    Definition Classes
      GitHubService

18. #### def getId(arg0: IRepositoryIdProvider): String

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService

19. #### def getReleases(org: String, repoName: String): List[GhRepoRelease]

20. #### def getTags(org: String, repoName: String): List[GhRepoTag]

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def verifyRepository(arg0: String, arg1: String): GitHubService

    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from GitHubService

### Inherited from AnyRef

### Inherited from Any

### Ungrouped